#!/bin/sh

jail="--JAILUPDIR--"
usretcdir=/usr/local/etc
genclass=apache
export PATH=/bin
#ulimit -Sn 12

case "$1" in
stop)
    echo -n " ${genclass}-jail"
      /usr/bin/sed -e 's|#.*$||' < ${usretcdir}/${genclass}-jail.rc\
    | /usr/bin/awk\
      "/^[ 	]*[SsHh][	 ]+/{
        pidfi=\"${jail}/\" \$2 \"/var/run/httpd.pid\";
        print \"[ -f \" pidfi \" ] && kill \`cat \" pidfi \"\` && /bin/rm -f \" pidfi;
      }"\
    | sh -e
    ;;
restart)
    echo -n " ${genclass}-jail"
      /usr/bin/sed -e 's|#.*$||' < ${usretcdir}/${genclass}-jail.rc\
    | /usr/bin/awk\
      "/^[ 	]*[SsHh][	 ]+/{
        pidfi=\"${jail}/\" \$2 \"/var/run/httpd.pid\";
        print \"[ -f \" pidfi \" ] && kill  -USR1 \`cat \" pidfi \"\`\";
      }"\
    | sh -e
    ;;
start)
    echo -n " ${genclass}-jail"
    /usr/bin/sed -e 's|#.*$||' < ${usretcdir}/${genclass}-jail.rc\
  | /usr/bin/awk\
    "BEGIN{
        jail=\"/usr/sbin/jail ${jail}/\"
        httpd=\"/usr/libexec/httpd -f /etc/apache/httpd.conf\"
    }
    /^[ 	]*[Ss][	 ]+/{
        system(jail \$2 \" \" \$3 \" \" \$4 \" \" httpd \" -c 'ServerName \" \$3 \"' -c 'ServerAdmin \" \$5 \"' -c 'User \" \$6 \"' -c 'User \" \$7 \"' -DSSL\");
    }
    /^[ 	]*[Hh][	 ]+/{
        system(jail \$2 \" \" \$3 \" \" \$4 \" \" httpd \" -c 'ServerName \" \$3 \"' -c 'ServerAdmin \" \$5 \"' -c 'User \" \$6 \"' -c 'User \" \$7 \"'\");
    }"
    ;;
*)
    echo use start or stop
    ;;
esac
